<fieldset>
  <div class="container justify-content-center align-items-center h-100">
    <div class="">
      <div class="card-body p-4 p-md-5">
        <div class="text">
          <h2
            id="title"
            class="mb-4 pb-2 pb-md-0 mb-md-5 mx-auto"
            style="color: #fda201"
          >
            Registrarse
          </h2>
        </div>

        <form [formGroup]="formRegistro">
          <div class="form-outline">
            <label class="form-label" for="nombre">Nombres</label>
            <input
              type="text"
              id="nombre"
              class="form-control form-control-md"
              formControlName="nombre"
            />
            <span
              *ngIf="
                formRegistro.get('nombre')?.hasError('pattern') &&
                formRegistro.get('nombre')?.touched
              "
            >
              <small class="text-danger">Usar solo letras.</small>
            </span>
          </div>

          <div class="form-outline">
            <label class="form-label" for="apellidos">Apellidos</label>
            <input
              type="text"
              id="apellidos"
              class="form-control form-control-md"
              formControlName="apellidos"
            />
            <span
              *ngIf="
                formRegistro.get('apellidos')?.hasError('pattern') &&
                formRegistro.get('apellidos')?.touched
              "
            >
              <small class="text-danger">Usar solo letras.</small>
            </span>
          </div>

          <div class="row">
            <div class="col-md-6 mb-4 mt-4 pb-2">
              <label for="cumpleaños" class="mb-2">Fecha de nacimiento</label>

              <div class="input-group">
                <input
                  type="date"
                  max="2020-01-01"
                  class="form-control form-control-md"
                  id="cumpleaños"
                  placeholder="mm/dd/yyyy"
                  formControlName="fec_nacimiento"
                />
              </div>
              <span
                *ngIf="
                  formRegistro.get('fec_nacimiento') &&
                  formRegistro.get('fec_nacimiento')?.hasError('menor15') &&
                  formRegistro.get('fec_nacimiento')?.touched
                "
              >
                <small class="text-danger">Debes tener mas de 15 años</small>
              </span>
            </div>

            <div class="col-md-6 mb-4 mt-4 pb-2">
              <div class="form-outline">
                <label class="form-label" for="telefono">Teléfono</label>
                <input
                  type="tel"
                  id="telefono"
                  class="form-control form-control-md"
                  formControlName="telefono"
                />
                <span
                  *ngIf="
                    formRegistro.get('telefono')?.hasError('pattern') &&
                    formRegistro.get('telefono')?.touched
                  "
                >
                  <small class="text-danger">Debes ingresar 9 digitos</small>
                </span>
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-md-6 mb-4">
              <h6 class="mb-2 pb-1">Género</h6>

              <div class="form-check form-check-inline">
                <input
                  class="form-check-input"
                  type="radio"
                  id="femenino"
                  value="femenino"
                  formControlName="sexo"
                  checked
                />
                <label class="form-check-label" for="femenino">Femenino</label>
              </div>

              <div class="form-check form-check-inline">
                <input
                  class="form-check-input"
                  type="radio"
                  id="masculino"
                  value="masculino"
                  FormControlName="sexo"
                />
                <label class="form-check-label" for="masculino"
                  >Masculino</label
                >
              </div>
            </div>

            <div class="form-outline">
              <label class="form-label" for="email">Email</label>
              <input
                type="email"
                id="email"
                class="form-control form-control-md"
                formControlName="email"
              />
              <span
                *ngIf="
                  formRegistro.get('email')?.hasError('email') &&
                  formRegistro.get('email')?.touched
                "
              >
                <small class="text-danger"
                  >Debes ingresar el formato correcto</small
                >
              </span>
            </div>
          </div>

          <div class="row">
            <div class="col-md-6 mb-4 pb-2">
              <label class="form-label" for="password">Contraseña</label>
              <input
                type="password"
                id="password"
                class="form-control form-control-md"
                formControlName="password"
              />
              <span
                *ngIf="
                  formRegistro.get('password')?.hasError('pattern') &&
                  formRegistro.get('password')?.touched
                "
              >
                <small class="text-danger"
                  >Utiliza al menos 1 mayuscula,1 numero y no utilizar
                  caracteres especiales</small
                >
              </span>
            </div>
            <div class="col-md-6 mb-4 pb-2">
              <label class="form-label" for="confirmPassword"
                >Confirmar contraseña</label
              >
              <input
                type="password"
                id="confirmPassword"
                class="form-control form-control-md"
                formControlName="password2"
              />
              <span
                *ngIf="
                  formRegistro.hasError('notSame') &&
                  formRegistro.get('password')?.touched
                "
              >
                <small class="text-danger">Las contraseñas no coinciden</small>
              </span>
            </div>
          </div>

          <div
            class="justify-content-center align-items-center d-flex mt-4 pt-2"
          >
            <button
              class="btn btn-success btn-md"
              type="button"
              (click)="crear_usuario()"
            >
              Crear Cuenta
            </button>
          </div>
        </form>
      </div>
    </div>
  </div>
</fieldset>
